RyanVM Post-SP2 Update Pack 2.2.1 - Released March 2, 2008

Questions about Update Pack making? Ask here.
mercyground
Posts: 18
Joined: Mon Mar 03, 2008 6:50 pm

Post by mercyground » Mon Mar 03, 2008 8:34 pm

k. deleted that one. its been a while since i made one :P stumbled across the site last year and made one up then. figured i'd make a new one to save me the 200mb download. 2mb line now instead of an 4mb. sigh.

MichaelBX
Posts: 1
Joined: Fri Nov 30, 2007 5:44 pm

Post by MichaelBX » Mon Mar 03, 2008 11:27 pm

Thanks Ryan. Appreciate It. Congratz on the Masters btw.

OS_Trasher
Posts: 3
Joined: Fri Feb 08, 2008 8:49 am

Post by OS_Trasher » Mon Mar 03, 2008 11:45 pm

Thanks muchly Ryan, Siginet & all you beta testers & addon makers. Been lurking for years, now I'm gonna take the plunge. Mebbe I'll make that donation now Ryan, if you fixed the link! :wink:
" I've forgotten more than I'll ever know..."

yiuc1
Posts: 18
Joined: Wed Feb 20, 2008 11:37 pm

KB941569+KB936782 shows up on Microsoft Update

Post by yiuc1 » Tue Mar 04, 2008 4:57 am

Hello. New user of your pack here. Thank you, it makes things a lot easier for everyone.

Small "problem": Ran Microsoft Update after installing windows and KB941569 and KB936782 pop up when they should be installed already? I checked WinUpdatesList and they're both there but KB936782 doesn't show up when I do qfecheck. Is anyone else getting this?

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Tue Mar 04, 2008 6:50 am

Are you installing WMP10 or WMP11 (or integrating them into the CD)? That would require you to reinstall them for the newer version...
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

yiuc1
Posts: 18
Joined: Wed Feb 20, 2008 11:37 pm

Post by yiuc1 » Tue Mar 04, 2008 8:27 am

RyanVM wrote:Are you installing WMP10 or WMP11 (or integrating them into the CD)? That would require you to reinstall them for the newer version...
I am integrating your "RyanVM WMP10 Addon Version 3.1a". Would I have to integrate that first and the update pack after? Thanks.

User avatar
pen25jf
Posts: 151
Joined: Sat Feb 17, 2007 1:22 pm

Post by pen25jf » Tue Mar 04, 2008 9:31 am

I think Ryan means you make sure you're using a clean CD to slipstream and use the latest pack(s). If you're using Nlite it doesn't matter the order, but I don't know about the Integrator, I've never used it. :::ducks:::

Why don't you like Booogy's 11? Just curious.

User avatar
TripleA
Posts: 36
Joined: Sat Oct 22, 2005 12:38 pm
Location: Planet Earth

Post by TripleA » Tue Mar 04, 2008 9:34 am

yiuc1 wrote:
RyanVM wrote:Are you installing WMP10 or WMP11 (or integrating them into the CD)? That would require you to reinstall them for the newer version...
I am integrating your "RyanVM WMP10 Addon Version 3.1a". Would I have to integrate that first and the update pack after? Thanks.
RyanVM wrote:
buletov wrote:Quick question Ryan/anyone: Any hint regarding your WMP10 addon and the latest pack? (before I try it myself)?
It'll probably work, but I stopped maintaining the WMP10 pack a long time ago and have no intentions of updating it in the future.

User avatar
Siginet
Site Admin
Posts: 2894
Joined: Fri May 27, 2005 1:07 pm
Location: Planet Earth
Contact:

Post by Siginet » Tue Mar 04, 2008 1:05 pm

The integrator allways integrates the UpdatePack files first before integrating the addons. So you do not have to worry about the order.
Image
--Siginet--

Techware
Your Virtual Technician
Computer Management Software

m-p{3}
Posts: 47
Joined: Sat Oct 14, 2006 8:50 pm
Location: Montreal QC, Canada
Contact:

Post by m-p{3} » Tue Mar 04, 2008 1:20 pm

RyanVM wrote:And if you guys like what you see, feel free to click an AdSense banner or three :)
Done, thanks for everything you've done :)
Image

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Tue Mar 04, 2008 7:24 pm

yiuc1 wrote:
RyanVM wrote:Are you installing WMP10 or WMP11 (or integrating them into the CD)? That would require you to reinstall them for the newer version...
I am integrating your "RyanVM WMP10 Addon Version 3.1a". Would I have to integrate that first and the update pack after? Thanks.
1.) The WMP10 pack is way outdated and doesn't contain those hotfixes.
2.) I'm not actively maintaining the WMP10 pack anymore, so use a WMP11 pack if you want to be up to date.
3.) It's not an Update Pack bug :P
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

yiuc1
Posts: 18
Joined: Wed Feb 20, 2008 11:37 pm

Post by yiuc1 » Tue Mar 04, 2008 8:23 pm

I thought that the update pack would install the hotfixes needed. OK, thanks, I'll check out WMP11. :)

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Tue Mar 04, 2008 9:01 pm

Yeah, it installs all the hotfixes needed for a default XP SP2 installation. WMP10 doesn't come with SP2, WMP9 does.
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

newsposter
Posts: 1131
Joined: Wed Sep 14, 2005 11:31 am

Post by newsposter » Tue Mar 04, 2008 10:54 pm

one clue would be to check the date of the hotfix or addon packs you're trying to use......

User avatar
lespea
Posts: 138
Joined: Fri Jun 22, 2007 2:02 pm

Post by lespea » Wed Mar 05, 2008 2:38 am

Thank you!!!

User avatar
Bhishmar
Posts: 138
Joined: Mon Dec 25, 2006 2:42 pm

Post by Bhishmar » Wed Mar 05, 2008 5:54 am

Hi ryan
Thanks & appreciation for your great work on this latest updatepack.

Btw one clarification?
I see that the addon for Directx-9.0c (End User Runtimes) [June 2007] is removed from your main site: http://www.ryanvm.net/msfn/updatepack-sp2.html
What does this mean?
Is this no more required, being integrated into the latest updatepack-2.2.1?

regards

pmi
Posts: 35
Joined: Thu Feb 03, 2005 2:35 pm
Location: Romania

Post by pmi » Wed Mar 05, 2008 8:40 am

Well, in this case I think it means that there is a new version available. Search the forum for directx9c and you will find it. You can also use the older version until some game prompts you that the update is needed.

User avatar
5eraph
Site Admin
Posts: 4621
Joined: Tue Jul 05, 2005 9:38 pm
Location: Riverview, MI USA

Post by 5eraph » Wed Mar 05, 2008 2:18 pm

Ryan is no longer updating his DirectX addon, Bhishmar, and it is not included in the Update Pack. However, you could try Nico's addon.

panda67
Posts: 19
Joined: Tue Oct 25, 2005 9:38 pm

Post by panda67 » Thu Mar 06, 2008 12:57 am

RyanVM wrote:And if you guys like what you see, feel free to click an AdSense banner or three :)
Thanks, and done :D.

User avatar
buletov
Posts: 380
Joined: Tue Feb 15, 2005 11:30 am

Post by buletov » Thu Mar 06, 2008 10:25 am

Tested the latest update pack with several addons and Ryan's Media Player 10 3.1 addon, everything works flawlessly!
Never know what life is gonna throw at you.

sdog2007
Posts: 1
Joined: Sat Feb 02, 2008 9:07 am

Post by sdog2007 » Fri Mar 07, 2008 1:18 am

thanks alot Ryan, Siginet for all the hard work

User avatar
Wesmosis
Posts: 350
Joined: Tue Feb 21, 2006 7:53 pm

Post by Wesmosis » Fri Mar 07, 2008 4:57 am

thanx so much

fly
Posts: 73
Joined: Thu Sep 01, 2005 12:31 pm

Post by fly » Fri Mar 07, 2008 9:10 am

Siginet wrote:
fly wrote:Any idea why the winnt32 setup screen has changed with the new Update Pack?
Which portion has changed? I don't use the winnt32 method. What do you mean by changed? What is the difference you see?
The initial 'copy files' portion of the winnt32 (network) install. It used to be the normal blue fullscreen Windows XP installation screen with the installation minutes and file copy progress bar on the left side.

Now its just a boring window with the copy progress. Im now also required to use the /norestart switch, that I didn't have to use before.

What does the optimize system files do? Could that have something to do with it?

User avatar
ENU_user
Posts: 1253
Joined: Wed Jan 25, 2006 1:42 pm

Post by ENU_user » Fri Mar 07, 2008 6:54 pm

date and time properties shows " automatically sync with time server" grayed with the option checked in.

most likely I'm using something to cause this ,so I'm only looking at this for comparison in response

TIA

mineja
Posts: 11
Joined: Fri Mar 07, 2008 9:41 pm

infected integrator

Post by mineja » Fri Mar 07, 2008 9:46 pm

My NOD32 complains bitterly about the latest integrator when I try to download it. It has always been right in the past. What gives ?.... Can I use the latest pack with the previous integrator?

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Fri Mar 07, 2008 9:47 pm

Did you read the first line of the changelog or the first post? It quite clearly answers your question..
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

TechnoHunter
Posts: 506
Joined: Sun Feb 26, 2006 4:13 am

Post by TechnoHunter » Fri Mar 07, 2008 9:58 pm

@Ryan :: eh? the first line of the changelog says do not integrate over previous versions.. i didnt read anything about NOD32 (anti-virus) complaining about the integrator itself... unless of course you are answering someone else other than mineja :)

-wanders off to play with computers again-

mineja
Posts: 11
Joined: Fri Mar 07, 2008 9:41 pm

Post by mineja » Fri Mar 07, 2008 10:04 pm

Crikey - are you two sitting right behind me? OK, I have the answer to one question and that is I must use the latest integrator. NOD32 will not allow my Opera to complete the download of the integrator even though I know Autoit is probably OK.

User avatar
gabo
Posts: 33
Joined: Mon Dec 03, 2007 5:04 pm
Location: Biggest city in the world, Mexico City
Contact:

Post by gabo » Fri Mar 07, 2008 11:10 pm

mineja wrote:NOD32 will not allow my Opera to complete the download of the integrator
mineja, Im running NOD32 3.0.621.0 and it allows me to download correctly. I don't know if its because I'm using another browser (Safari for Windows) or another bittorrent client (uTorrent). Maybe your problems aren't related to NOD32, but caused by your browser or your bittorrent client. Why don't you try with another program?

Just my 2 cents :wink:
gabo

mineja
Posts: 11
Joined: Fri Mar 07, 2008 9:41 pm

Post by mineja » Sat Mar 08, 2008 1:21 am

this getin off-topic. My last word - My NOD32 2.70.39 fully updated. I had to disable IMON & AMON to download, then add the exe to AMON exclusions before re-enabling both. There may have been another way but that's what I did.

mineja
Posts: 11
Joined: Fri Mar 07, 2008 9:41 pm

Post by mineja » Sat Mar 08, 2008 1:28 am

Now that I'm registered and can post, here is a long overdue .... THANKYOU RYAN a thousand times over for what your packs have done for me and the disabled folk whose computers I maintain - over the last few years (yes I've been a closet user since close to the beginning).

TechnoHunter
Posts: 506
Joined: Sun Feb 26, 2006 4:13 am

Post by TechnoHunter » Sat Mar 08, 2008 5:29 am

@mineja :: sounds like a project! speaking as one volunteer to another keep up the good work :)

glad you were able to get the integrator down/installed.. i wonder if the NOD32 site lists AutoIt as a virus or if something went wierd.. take it for what it's worth but i will say that my AV doesnt trigger on it..

have fun

TechnoHunter

User avatar
Bhishmar
Posts: 138
Joined: Mon Dec 25, 2006 2:42 pm

Post by Bhishmar » Sun Mar 09, 2008 1:48 am

Setuperr.log Errors
I used latest RVM_Integrator-1.5.1.exe with RVMUpdatePack2.2.1.7z, and a single addon (RVMAddons_1.8.3.7z). I checked & verified the checksum-hash of all these 3 files.
But I am getting the following 2 errors in setuperr.log (apart from plugin.ocx) after installation in Vmware, even though I get a working Windows-XP.

Code: Select all

Error:
Setup detected that the system file named [c:\windows\system32\calc.exe] is not signed properly
by Microsoft.  This file could not be restored to the correct Microsoft version.
Use the SFC utility to verify the integrity of the file.
***
Error:
Setup detected that the system file named [c:\windows\system32\makecab.exe] is not signed properly
by Microsoft.  This file could not be restored to the correct Microsoft version.
Use the SFC utility to verify the integrity of the file.

Is these errors normal? Are others getting these errors or only me? What could be the possible cause of these errors? Both the files calc.exe & makecab.exe are from RVMaddon-1.8.3, I presume!

Also to confirm whether the integration has gone reliably, I repeated integration two times, each time from the original XP-SP2 source, filecomparing the output file-set of the integrator to see that they are identical.

Can ryan or other experts throw some light?
Note: My system is running Windows XP Pro, DualPentium-E2140, 1GB RAM.
Thanks & regards
Last edited by Bhishmar on Sun Mar 09, 2008 1:57 am, edited 1 time in total.

User avatar
ENU_user
Posts: 1253
Joined: Wed Jan 25, 2006 1:42 pm

Post by ENU_user » Sun Mar 09, 2008 1:55 am

Bhishmar, those errors are common for file replacements that don't use (sfp cats) so they are treated as unsigned files ..
the ones you posted are probably arriving from kels Uber-pack which is known to make these specific file replacements. or from some other addon having these files ...

User avatar
Bhishmar
Posts: 138
Joined: Mon Dec 25, 2006 2:42 pm

Post by Bhishmar » Sun Mar 09, 2008 3:04 am

ENU_user wrote:Bhishmar, those errors are common for file replacements that don't use (sfp cats) so they are treated as unsigned files ..
the ones you posted are probably are arriving from kels pack which is known to make these specific file replacements or from some other addon having these files ...
Thanks ENU_user. But can some other expert also confirm this?
I am not using kel's pack. Infact I am using only one addon. Ryan's-(RVMaddon-1.8.3.

So I find this setuperror rather puzzling & troubling. I am paranoid :? with any error appearing in logs.
I would rather like to keep them clean, so that when a real error comes, it catches my attention earlier, and saves me a lot of trouble. (Story of ignoring wolf scare :wink: )
Moreover I read somewhere that ryan claims the setuperr.log will be clean of any errors if his addon is the only one used (except for plugin.ocx err).
Thanks & regards

User avatar
5eraph
Site Admin
Posts: 4621
Joined: Tue Jul 05, 2005 9:38 pm
Location: Riverview, MI USA

Post by 5eraph » Sun Mar 09, 2008 4:59 am

Ryan's addon replaces those two files.

I don't know where you got that information concerning setuperr.log, but it's false. There are no CATs to cover those two new files, so it is normal to see them in setuperr.log. You have nothing to worry about.

User avatar
Bhishmar
Posts: 138
Joined: Mon Dec 25, 2006 2:42 pm

Post by Bhishmar » Sun Mar 09, 2008 5:11 am

5eraph wrote:Ryan's addon replaces those two files.

I don't know where you got that information concerning setuperr.log, but it's false. There are no CATs to cover those two new files, so it is normal to see them in setuperr.log. You have nothing to worry about.
Thanks 5eraph. I think u are right.

Ryan's faq was singling out plugin.ocx error to be ignored, and there was a time with ryans older packs that no other setuperr errors occur.
I must have got the wrong impression from that & some of his earlier posts.
regards

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Sun Mar 09, 2008 12:32 pm

The FAQ doesn't cover my addon pack, only my Update Pack. Nowhere do I claim that the addon pack will be 100% SFC-approved. I only make that guarantee for the Update Pack.
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

User avatar
Bhishmar
Posts: 138
Joined: Mon Dec 25, 2006 2:42 pm

Post by Bhishmar » Sun Mar 09, 2008 3:22 pm

RyanVM wrote:The FAQ doesn't cover my addon pack, only my Update Pack. Nowhere do I claim that the addon pack will be 100% SFC-approved. I only make that guarantee for the Update Pack.
Thanks ryan for clarifyng this. My impression was at fault here.
regards

User avatar
havoc77
Posts: 3
Joined: Mon Mar 10, 2008 10:58 am

Post by havoc77 » Mon Mar 10, 2008 11:06 am

Thanks for another great release. Was worth the wait. Will be clicking away also.

User avatar
buletov
Posts: 380
Joined: Tue Feb 15, 2005 11:30 am

Post by buletov » Mon Mar 10, 2008 12:50 pm

BTW is there any info on the statistics of the downloads, Ryan?
Never know what life is gonna throw at you.

shon3i
Posts: 195
Joined: Thu Oct 19, 2006 1:16 pm

Post by shon3i » Tue Mar 11, 2008 12:58 pm

Is this pack Post SP2 February or March pack?

Fragbert
Posts: 338
Joined: Tue Jan 24, 2006 10:59 am

Post by Fragbert » Tue Mar 11, 2008 1:19 pm

shon3i wrote:Is this pack Post SP2 February or March pack?
Basic reading comprehension would dictate that the pack was released on March 2nd, 2008, which is before the 2nd tuesday of the month when MS releases new fixes. So this would be an update pack with fixes dated at the latest from February.

However, if you want to make an unoffical March update pack, the only release this patch tuesday is MRT. Have at it.

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Tue Mar 11, 2008 10:16 pm

Yeah, March's patch Tuesday is a bit anticlimactic.
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

Fragbert
Posts: 338
Joined: Tue Jan 24, 2006 10:59 am

Post by Fragbert » Wed Mar 12, 2008 1:44 am

Calm before the storm that is SP3? :)

User avatar
mr_smartepants
Posts: 824
Joined: Thu May 18, 2006 5:56 am
Location: Cambridgeshire, UK

Post by mr_smartepants » Wed Mar 12, 2008 1:58 am

Fragbert wrote:Calm before the storm that is SP3? :)
One can only hope. :)
Image
Some heroes don't wear capes, they wear Kevlar and dog-tags!

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Wed Mar 12, 2008 8:48 am

I just figure MS wanted to give me a break after the mad rush to 2.2.1 too :)
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

jumz
Posts: 82
Joined: Fri Mar 10, 2006 1:32 am
Location: Edmonton, AB, Canada

Post by jumz » Wed Mar 12, 2008 2:34 pm

Thanks Ryan! Will be testing tonight, and if I don't post back, everything is all G!
JuMz

mercyground
Posts: 18
Joined: Mon Mar 03, 2008 6:50 pm

Post by mercyground » Wed Mar 12, 2008 9:04 pm

houston we have an answer... Corrupt ram. Seems my main machine 2nd stick of ram was dying.

Confirmed and RMA'd... only cruical dont make the memory anymore so i'm getting PC4000 instead of my PC3200 :(

rebuilding on the 2nd machine now.

I hate it when that happens.

User avatar
roirraWedorehT
Posts: 762
Joined: Sun Oct 15, 2006 2:25 pm

Post by roirraWedorehT » Wed Mar 12, 2008 9:32 pm

mercyground wrote:houston we have an answer... Corrupt ram. Seems my main machine 2nd stick of ram was dying.

Confirmed and RMA'd... only cruical dont make the memory anymore so i'm getting PC4000 instead of my PC3200 :(

rebuilding on the 2nd machine now.

I hate it when that happens.
Nice you got free "upgrade". Glad you solved it.

Locked